package com.ruoyi.worktecket.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.worktecket.mapper.WorkTicketExtendMapper;
import com.ruoyi.worktecket.domain.WorkTicketExtend;
import com.ruoyi.worktecket.service.IWorkTicketExtendService;

/**
 * 作业票扩展信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-04
 */
@Service
public class WorkTicketExtendServiceImpl implements IWorkTicketExtendService 
{
    @Autowired
    private WorkTicketExtendMapper workTicketExtendMapper;

    /**
     * 查询作业票扩展信息
     * 
     * @param id 作业票扩展信息主键
     * @return 作业票扩展信息
     */
    @Override
    public WorkTicketExtend selectWorkTicketExtendById(String id)
    {
        return workTicketExtendMapper.selectWorkTicketExtendById(id);
    }

    /**
     * 查询作业票扩展信息列表
     * 
     * @param workTicketExtend 作业票扩展信息
     * @return 作业票扩展信息
     */
    @Override
    public List<WorkTicketExtend> selectWorkTicketExtendList(WorkTicketExtend workTicketExtend)
    {
        return workTicketExtendMapper.selectWorkTicketExtendList(workTicketExtend);
    }

    /**
     * 新增作业票扩展信息
     * 
     * @param workTicketExtend 作业票扩展信息
     * @return 结果
     */
    @Override
    public int insertWorkTicketExtend(WorkTicketExtend workTicketExtend)
    {
        return workTicketExtendMapper.insertWorkTicketExtend(workTicketExtend);
    }

    /**
     * 修改作业票扩展信息
     * 
     * @param workTicketExtend 作业票扩展信息
     * @return 结果
     */
    @Override
    public int updateWorkTicketExtend(WorkTicketExtend workTicketExtend)
    {
        return workTicketExtendMapper.updateWorkTicketExtend(workTicketExtend);
    }

    /**
     * 批量删除作业票扩展信息
     * 
     * @param ids 需要删除的作业票扩展信息主键
     * @return 结果
     */
    @Override
    public int deleteWorkTicketExtendByIds(String[] ids)
    {
        return workTicketExtendMapper.deleteWorkTicketExtendByIds(ids);
    }

    /**
     * 删除作业票扩展信息信息
     * 
     * @param id 作业票扩展信息主键
     * @return 结果
     */
    @Override
    public int deleteWorkTicketExtendById(String id)
    {
        return workTicketExtendMapper.deleteWorkTicketExtendById(id);
    }
}
